# Command: testsuite::test_global_rng

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::test_global_rng - check whether global rng gives consistent results

Synopsis:

    nest_indirect test_global_rng.sli -> compare results for different numbers of jobs

Description:

      The scripts test whether in simulations distributed over different numbers of
      processors the global random number generator gives identical results on all
      jobs and for different numbers of jobs.
      See #186 for discussion.

      Author:  July 2009, Diesmann

SeeAlso:

- unittest::distributed_assert_or_die

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/testsuite/mpitests/test_global_rng.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative